<form *ngIf="!validationMessage" [formGroup]="form" (submit)="register()">
  <div>
    Enregistre toi avec
  </div>
  <div class="row">
    <mat-form-field class="col-4" floatLabel="auto">
      <mat-label>ton email</mat-label>
      <input type="mail" matInput placeholder="nom@fournisseur.com" formControlName="email" autocomplete="email" required />
      <mat-error *ngIf="form.controls['email'].invalid">{{ getEmailError(form.controls['email'].errors) }}</mat-error>
    </mat-form-field>
  </div>
  <div class="row">
    <mat-form-field class="col-4">
      <input type="password" matInput placeholder="ton mot de passe" formControlName="password" autocomplete="off" required />
      <mat-error *ngIf="form.controls['password'].invalid">Le mot de passe est requis</mat-error>
    </mat-form-field>
  </div>
  <div class="row">
    <mat-form-field class="col-4">
      <input type="password" matInput placeholder="confirme ton mot de passe" formControlName="confirmPassword" autocomplete="off" required />
      <mat-error *ngIf="form.controls['confirmPassword'].invalid">Les mots de passes ne correspondent pas</mat-error>
    </mat-form-field>
  </div>
  <button mat-raised-button color="pimary" type="submit" [disabled]="form.invalid">S'enregister</button>
  <p class="text-danger">{{ registerError }}</p>
</form>
<p>{{ validationMessage }}</p>
